#
# spec file for package mirovideoconverter
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name mvc
Name:           mirovideoconverter
Version:        3.0.2
Release:        1.1
Summary:        Miro Video Converter
License:        LGPL-3.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://mirovideoconverter.com/
Source0:        http://ppa.launchpad.net/pcf/miro-releases/ubuntu/pool/main/m/%{name}/%{name}_%{version}.orig.tar.gz
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
Requires:       ffmpeg
Requires:       python-gtk
BuildArch:      noarch

%description
Miro Video Converter is a simple way to convert almost any video
to ffmpeg supported formats.

%prep
%setup -q

%build
python2 setup.py build

%install
python2 setup.py install --prefix=%{_prefix} --install-data=%{_datadir} --root=%{buildroot}
mv -f %{buildroot}%{_bindir}/miro-video-converter.py %{buildroot}%{_bindir}/%{name}
sed -i 's/miro-video-converter.py/%{name}/g' %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc LICENSE README.md README.widgets
%{_bindir}/%{name}
%{python_sitelib}/%{_name}/
%{python_sitelib}/%{name}-*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Jan 14 2015 sor.alexei@meowr.ru
- Initial package.
